'use strict';

var flattenNestedFragments = require('@mo36924/babel-plugin-flatten-nested-fragments');
var injectAssetJsxElements = require('@mo36924/babel-plugin-inject-asset-jsx-elements');
var jsxDisplayName = require('@mo36924/babel-plugin-jsx-display-name');
var replaceJsxElements = require('@mo36924/babel-plugin-replace-jsx-elements');
var serverFunction = require('@mo36924/babel-plugin-server-function');

var index = ((_ = {}, { development, server, manifest = {} } = {})=>{
    return {
        plugins: [
            [
                serverFunction,
                {
                    development,
                    server
                }
            ],
            [
                injectAssetJsxElements,
                manifest
            ],
            [
                replaceJsxElements,
                server ? {
                    body: "Body",
                    A: "a"
                } : {
                    html: "Fragment",
                    head: "Fragment",
                    meta: "Fragment",
                    link: "Fragment",
                    script: "Fragment",
                    body: "Fragment",
                    title: "Title",
                    A: "a"
                }
            ],
            flattenNestedFragments,
            [
                jsxDisplayName,
                development ? undefined : false
            ]
        ]
    };
});

module.exports = index;
